#!/usr/local/bin/python3.4
'''
obi -- shortdesc

obi is a description

It defines classes_and_methods

@author:     user_name

@copyright:  2014 organization_name. All rights reserved.

@license:    license

@contact:    user_email
@deffield    updated: Updated
'''


default_config = { 'software'       : "The OBITools",
                   'log'            : False,
                   'loglevel'       : 'INFO',
                   'progress'       : True,
                   'defaultdms'     : None,
                   'inputview'      : None,
                   'outputview'     : None
                  }

root_config_name='obi'

from obitools3.apps.config import getConfiguration     # @UnresolvedImport
from obitools3.version import version

__all__     = []
__version__ = version
__date__    = '2014-09-28'
__updated__ = '2014-09-28'

DEBUG = 1
TESTRUN = 0
PROFILE = 0


if __name__ =="__main__":
    
    config = getConfiguration(root_config_name,
                              default_config)    
                
    config[root_config_name]['module'].run(config)
    
    
    