#cython: language_level=3

from .obitypes cimport const_char_p

cdef extern from "obidms.h" nogil:
    struct OBIDMS_t:
        const_char_p dms_name

    ctypedef OBIDMS_t* OBIDMS_p 

    OBIDMS_p obi_dms(const_char_p dms_name)
    OBIDMS_p obi_open_dms(const_char_p dms_path)
    OBIDMS_p obi_test_open_dms(const_char_p dms_path)
    OBIDMS_p obi_create_dms(const_char_p dms_path)
    int obi_close_dms(OBIDMS_p dms)
    char* obi_dms_get_dms_path(OBIDMS_p dms)
    char* obi_dms_get_full_path(OBIDMS_p dms, const_char_p path_name)


